package com.qmth.distributed.print.business.bean.result;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.teachcloud.common.entity.BasicExamStudent;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiParam;

import javax.annotation.Resource;

/**
 * @Description: 考生字典查询结果
 * @Author: CaoZixuan
 * @Date: 2024-02-22
 */
public class BasicExamStudentResult extends BasicExamStudent {

    @ApiModelProperty("考生ID")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long studentId;

    @ApiModelProperty("课程名称")
    private String courseName;

    @ApiModelProperty("课程代码")
    private String courseCode;
    @ApiModelProperty("开课学院Id")
    private String teachingRoomId;
    @ApiModelProperty("开课学院")
    private String teachingRoomName;

    @ApiModelProperty("任课老师")
    private String teacherName;

    @ApiModelProperty("任课老师工号")
    private String teacherCode;

    @ApiModelProperty("扩展字段")
    private String extendFields;

    public Long getStudentId() {
        return super.getId();
    }

    public void setStudentId(Long studentId) {
        this.studentId = studentId;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public String getTeachingRoomId() {
        return teachingRoomId;
    }

    public void setTeachingRoomId(String teachingRoomId) {
        this.teachingRoomId = teachingRoomId;
    }

    public String getTeachingRoomName() {
        return teachingRoomName;
    }

    public void setTeachingRoomName(String teachingRoomName) {
        this.teachingRoomName = teachingRoomName;
    }

    public String getTeacherName() {
        return teacherName;
    }

    public void setTeacherName(String teacherName) {
        this.teacherName = teacherName;
    }

    public String getTeacherCode() {
        return teacherCode;
    }

    public void setTeacherCode(String teacherCode) {
        this.teacherCode = teacherCode;
    }

}
