package com.qmth.distributed.print.business.service;

import com.qmth.distributed.print.business.bean.dto.initMarkData.ExamDetailCourseInitMarkDto;
import com.qmth.distributed.print.business.entity.BasicCardRule;
import com.qmth.teachcloud.common.bean.vo.PaperInfoVo;
import com.qmth.teachcloud.common.enums.ExamModelEnum;
import com.qmth.teachcloud.mark.entity.ScanAnswerCard;

import java.util.List;

/**
 * 打印结束后操作服务类
 */
public interface PrintFinishService {

    void insertMarkPaper(ExamDetailCourseInitMarkDto dto, List<PaperInfoVo> paperInfoVos);

    void insertMarkStudent(ExamDetailCourseInitMarkDto examDetail, BasicCardRule basicCardRule);

    void insertScanAnswerCardAndMarkQuestion(ExamDetailCourseInitMarkDto dto);

    ScanAnswerCard insertScanAnswerCard(ExamDetailCourseInitMarkDto dto, String cardId, String content);

    void insertMarkQuestion(Long examId, Long courseId, String paperNumber, String content, List<PaperInfoVo> paperInfoVoList, ExamModelEnum model);

    void insertPaperAnswerFile(Long examId, String paperNumber, Integer serialNumber, Long paperId);

    void insertMarkPaperPackageCode(ExamDetailCourseInitMarkDto dto);

    void updateMarkSheetConfig(ExamDetailCourseInitMarkDto dto, String content);

    void insertScanAnswerCardQuestion(Long examId, String paperNumber, String content, Integer number);
}
