package com.qmth.teachcloud.common.bean.sync;

import io.swagger.annotations.ApiModelProperty;

/**
 * 考生考务数据
 */
public class ExamStudentDataVo {

    @ApiModelProperty(value = "课程代码")
    private String courseCode;
    @ApiModelProperty(value = "课程名称")
    private String courseName;
    @ApiModelProperty(value = "课程开课学院（二级学院）")
    private String courseCollegeName;
    @ApiModelProperty(value = "试卷编号")
    private String paperNumber;
    @ApiModelProperty(value = "学号")
    private String studentCode;
    @ApiModelProperty(value = "姓名")
    private String studentName;
    @ApiModelProperty(value = "座位号")
    private String siteNumber;
    @ApiModelProperty(value = "学生学院")
    private String studentCollegeName;
    @ApiModelProperty(value = "学生专业")
    private String majorName;
    @ApiModelProperty(value = "教学班")
    private String teachClassName;
    @ApiModelProperty(value = "行政班")
    private String className;
    @ApiModelProperty(value = "考试开始时间")
    private Long examStartTime;
    @ApiModelProperty(value = "考试结束时间")
    private Long examEndTime;
    @ApiModelProperty(value = "考点")
    private String examPlace;
    @ApiModelProperty(value = "考场")
    private String examRoom;
    @ApiModelProperty(value = "命题老师工号")
    private String teacherCode;
    @ApiModelProperty(value = "命题老师名称")
    private String teacherName;

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public String getCourseCollegeName() {
        return courseCollegeName;
    }

    public void setCourseCollegeName(String courseCollegeName) {
        this.courseCollegeName = courseCollegeName;
    }

    public String getPaperNumber() {
        return paperNumber;
    }

    public void setPaperNumber(String paperNumber) {
        this.paperNumber = paperNumber;
    }

    public String getStudentCode() {
        return studentCode;
    }

    public void setStudentCode(String studentCode) {
        this.studentCode = studentCode;
    }

    public String getStudentName() {
        return studentName;
    }

    public void setStudentName(String studentName) {
        this.studentName = studentName;
    }

    public String getSiteNumber() {
        return siteNumber;
    }

    public void setSiteNumber(String siteNumber) {
        this.siteNumber = siteNumber;
    }

    public String getStudentCollegeName() {
        return studentCollegeName;
    }

    public void setStudentCollegeName(String studentCollegeName) {
        this.studentCollegeName = studentCollegeName;
    }

    public String getMajorName() {
        return majorName;
    }

    public void setMajorName(String majorName) {
        this.majorName = majorName;
    }

    public String getTeachClassName() {
        return teachClassName;
    }

    public void setTeachClassName(String teachClassName) {
        this.teachClassName = teachClassName;
    }

    public String getClassName() {
        return className;
    }

    public void setClassName(String className) {
        this.className = className;
    }

    public Long getExamStartTime() {
        return examStartTime;
    }

    public void setExamStartTime(Long examStartTime) {
        this.examStartTime = examStartTime;
    }

    public Long getExamEndTime() {
        return examEndTime;
    }

    public void setExamEndTime(Long examEndTime) {
        this.examEndTime = examEndTime;
    }

    public String getExamPlace() {
        return examPlace;
    }

    public void setExamPlace(String examPlace) {
        this.examPlace = examPlace;
    }

    public String getExamRoom() {
        return examRoom;
    }

    public void setExamRoom(String examRoom) {
        this.examRoom = examRoom;
    }

    public String getTeacherCode() {
        return teacherCode;
    }

    public void setTeacherCode(String teacherCode) {
        this.teacherCode = teacherCode;
    }

    public String getTeacherName() {
        return teacherName;
    }

    public void setTeacherName(String teacherName) {
        this.teacherName = teacherName;
    }
}
