package com.qmth.teachcloud.common.bean.sync;

import io.swagger.annotations.ApiModelProperty;

/**
 * 命题任务数据
 */
public class ExamTaskDataVo {

    @ApiModelProperty(value = "课程代码")
    private String courseCode;
    @ApiModelProperty(value = "课程名称")
    private String courseName;
    @ApiModelProperty(value = "课程开课学院（二级学院）")
    private String courseCollegeName;
    @ApiModelProperty(value = "试卷编号")
    private String paperNumber;
    @ApiModelProperty(value = "试卷编号备注")
    private String paperNumberDesc;
    @ApiModelProperty(value = "命题开始时间")
    private Long startTime;
    @ApiModelProperty(value = "命题结束时间")
    private Long endTime;
    @ApiModelProperty(value = "命题老师工号")
    private String teacherCode;
    @ApiModelProperty(value = "命题老师名称")
    private String teacherName;
    @ApiModelProperty(value = "是否启用")
    private Boolean enable;

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public String getCourseCollegeName() {
        return courseCollegeName;
    }

    public void setCourseCollegeName(String courseCollegeName) {
        this.courseCollegeName = courseCollegeName;
    }

    public String getPaperNumber() {
        return paperNumber;
    }

    public void setPaperNumber(String paperNumber) {
        this.paperNumber = paperNumber;
    }

    public String getPaperNumberDesc() {
        return paperNumberDesc;
    }

    public void setPaperNumberDesc(String paperNumberDesc) {
        this.paperNumberDesc = paperNumberDesc;
    }

    public Long getStartTime() {
        return startTime;
    }

    public void setStartTime(Long startTime) {
        this.startTime = startTime;
    }

    public Long getEndTime() {
        return endTime;
    }

    public void setEndTime(Long endTime) {
        this.endTime = endTime;
    }

    public String getTeacherCode() {
        return teacherCode;
    }

    public void setTeacherCode(String teacherCode) {
        this.teacherCode = teacherCode;
    }

    public String getTeacherName() {
        return teacherName;
    }

    public void setTeacherName(String teacherName) {
        this.teacherName = teacherName;
    }

    public Boolean getEnable() {
        return enable;
    }

    public void setEnable(Boolean enable) {
        this.enable = enable;
    }
}
