package com.qmth.teachcloud.common.enums;

/**
 * 工具类型
 */
public enum ClientUpgradeToolTypeEnum {

    TEACHCLOUD_CLIENT("client", "知学知考客户端"),
    PICTURE_DOWNLOAD("picture", "图片下载工具");

    private String type;
    private String desc;

    ClientUpgradeToolTypeEnum(String type, String desc) {
        this.type = type;
        this.desc = desc;
    }

    public String getType() {
        return type;
    }

    public String getDesc() {
        return desc;
    }

}
