package com.qmth.teachcloud.common.enums.mark;

public enum MarkPaperAiMark {

    NONE("未开启"),
    AI_ONLY("仅AI评卷"),
    MAN_MACHINE("人机双评");

    private String name;


    private MarkPaperAiMark(String name) {
        this.name = name;
    }

    public String getName() {
        return name;
    }


    public static MarkPaperAiMark findByName(String name) {
        for (MarkPaperAiMark c : MarkPaperAiMark.values()) {
            if (c.toString().equalsIgnoreCase(name)) {
                return c;
            }
        }
        return null;
    }
}
