package com.qmth.teachcloud.common.util;

import java.awt.GraphicsEnvironment;
import java.awt.Font;
import java.util.Arrays;
import java.util.List;
import java.util.stream.Collectors;

/**
 * 字体工具类
 */
public class FontUtil {

    private static Boolean checkFontExist(String fontName) {
        GraphicsEnvironment ge = GraphicsEnvironment.getLocalGraphicsEnvironment();
        List<String> fontNames = Arrays.stream(ge.getAllFonts()).map(Font::getFontName).collect(Collectors.toList());
        return fontNames.contains(fontName);
    }

    public static void main(String[] args) {
        System.out.println(checkFontExist("MicrosoftHimalaya"));
        System.out.println(checkFontExist("Qomolangma-Uchen-Sarchen"));
    }
}
