package com.qmth.teachcloud.mark.dto.mark.manage;

import com.qmth.teachcloud.common.annotation.ExcelProperty;

public class MarkerInfoDto {

    private Long examId;
    private Long questionId;

    @ExcelProperty(name = "课程代码", width = 20, index = 1)
    private String courseCode;

    @ExcelProperty(name = "课程名称", width = 20, index = 2)
    private String courseName;

    @ExcelProperty(name = "试卷编号", width = 20, index = 3)
    private String paperNumber;

    @ExcelProperty(name = "大题号", width = 20, index = 4)
    private Integer mainNumber;
    @ExcelProperty(name = "小题号", width = 20, index = 5)
    private Integer subNumber;

    @ExcelProperty(name = "大题名称", width = 20, index = 6)
    private String questionName;

    @ExcelProperty(name = "小题满分", width = 20, index = 7)
    private Double totalScore;

    @ExcelProperty(name = "登录名", width = 20, index = 8)
    private String loginName;

    @ExcelProperty(name = "工号", width = 20, index = 9)
    private String empno;

    @ExcelProperty(name = "姓名", width = 20, index = 10)
    private String realName;

    @ExcelProperty(name = "评卷数量", width = 20, index = 11)
    private long markedCount;


    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public Long getQuestionId() {
        return questionId;
    }

    public void setQuestionId(Long questionId) {
        this.questionId = questionId;
    }

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public String getPaperNumber() {
        return paperNumber;
    }

    public void setPaperNumber(String paperNumber) {
        this.paperNumber = paperNumber;
    }

    public Integer getMainNumber() {
        return mainNumber;
    }

    public void setMainNumber(Integer mainNumber) {
        this.mainNumber = mainNumber;
    }

    public Integer getSubNumber() {
        return subNumber;
    }

    public void setSubNumber(Integer subNumber) {
        this.subNumber = subNumber;
    }

    public String getQuestionName() {
        return questionName;
    }

    public void setQuestionName(String questionName) {
        this.questionName = questionName;
    }

    public Double getTotalScore() {
        return totalScore;
    }

    public void setTotalScore(Double totalScore) {
        this.totalScore = totalScore;
    }

    public String getLoginName() {
        return loginName;
    }

    public void setLoginName(String loginName) {
        this.loginName = loginName;
    }

    public String getEmpno() {
        return empno;
    }

    public void setEmpno(String empno) {
        this.empno = empno;
    }

    public String getRealName() {
        return realName;
    }

    public void setRealName(String realName) {
        this.realName = realName;
    }

    public long getMarkedCount() {
        return markedCount;
    }

    public void setMarkedCount(long markedCount) {
        this.markedCount = markedCount;
    }
}
