package com.qmth.teachcloud.mark.dto.mark.manage;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.teachcloud.mark.enums.MarkTaskStatus;

import java.io.Serializable;

/**
 * 阅卷轨迹交换类
 *
 * @author luoshi
 */
public class MarkerScoreDTO implements Serializable {

    private static final long serialVersionUID = 4336042741848228793L;

    @JsonSerialize(using = ToStringSerializer.class)
    private Long userId;

    private String loginName;

    private String userName;

    private double score;

    // 是否为科组长
    private boolean header;

    private MarkTaskStatus headerType;

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getLoginName() {
        return loginName;
    }

    public void setLoginName(String loginName) {
        this.loginName = loginName;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public double getScore() {
        return score;
    }

    public void setScore(double score) {
        this.score = score;
    }

    public boolean isHeader() {
        return header;
    }

    public void setHeader(boolean header) {
        this.header = header;
    }

    public MarkTaskStatus getHeaderType() {
        return headerType;
    }

    public void setHeaderType(MarkTaskStatus headerType) {
        this.headerType = headerType;
    }
}
