package com.qmth.teachcloud.mark.dto.mark.score;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * @Description: AI智能评卷分数
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2025/4/14
 */
public class MarkAiScoreDto implements Serializable {

    @ApiModelProperty(value = "主键")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long studentId;

    @ApiModelProperty(value = "试卷总分")
    private Double totalScore;

    @ApiModelProperty(value = "试卷及格分")
    private Double passScore;

    @ApiModelProperty(value = "学生总分")
    private Double studentTotalScore;

    public Long getStudentId() {
        return studentId;
    }

    public void setStudentId(Long studentId) {
        this.studentId = studentId;
    }

    public Double getTotalScore() {
        return totalScore;
    }

    public void setTotalScore(Double totalScore) {
        this.totalScore = totalScore;
    }

    public Double getPassScore() {
        return passScore;
    }

    public void setPassScore(Double passScore) {
        this.passScore = passScore;
    }

    public Double getStudentTotalScore() {
        return studentTotalScore;
    }

    public void setStudentTotalScore(Double studentTotalScore) {
        this.studentTotalScore = studentTotalScore;
    }
}
