package com.qmth.teachcloud.mark.dto.mark.setting;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.teachcloud.common.entity.MarkQuestion;

import java.util.List;

public class MarkGroupTaskDto {

    @JsonSerialize(using = ToStringSerializer.class)
    private Long examId;
    private String paperNumber;
    private List<MarkQuestion> questions;
    // 是否开启分班阅（开关）
    private Boolean classMark;
    // 是否开启双评（开关）
    private Boolean doubleMark;
    // 是否开启填空题整体设置评卷员（开关）
    private Boolean mergeMarker;

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public String getPaperNumber() {
        return paperNumber;
    }

    public void setPaperNumber(String paperNumber) {
        this.paperNumber = paperNumber;
    }

    public List<MarkQuestion> getQuestions() {
        return questions;
    }

    public void setQuestions(List<MarkQuestion> questions) {
        this.questions = questions;
    }

    public Boolean getMergeMarker() {
        return mergeMarker;
    }

    public void setMergeMarker(Boolean mergeMarker) {
        this.mergeMarker = mergeMarker;
    }

    public Boolean getClassMark() {
        return classMark;
    }

    public void setClassMark(Boolean classMark) {
        this.classMark = classMark;
    }

    public Boolean getDoubleMark() {
        return doubleMark;
    }

    public void setDoubleMark(Boolean doubleMark) {
        this.doubleMark = doubleMark;
    }
}
