package com.qmth.teachcloud.mark.params;

import com.qmth.teachcloud.mark.dto.mark.SpecialTagDTO;
import com.qmth.teachcloud.mark.dto.mark.manage.TrackDTO;
import com.qmth.teachcloud.mark.entity.*;

import java.util.LinkedList;
import java.util.List;

/**
 * 标准评卷结果对象(管理员直接分打)
 */
public class MarkArbitrateResult {

    private Long arbitrateId;
    /**
     * 考生编号
     */
    private Long studentId;

    /**
     * 总分
     */
    private double markerScore;

    /**
     * 阅卷轨迹列表
     */
    private TrackDTO[] markerTrackList;

    /**
     * 特殊标记列表
     */
    private SpecialTagDTO[] markerTagList;


    /**
     * 所花时间
     */
    private int spent;

    public Long getArbitrateId() {
        return arbitrateId;
    }

    public void setArbitrateId(Long arbitrateId) {
        this.arbitrateId = arbitrateId;
    }

    public Long getStudentId() {
        return studentId;
    }

    public void setStudentId(Long studentId) {
        this.studentId = studentId;
    }

    public double getMarkerScore() {
        return markerScore;
    }

    public void setMarkerScore(double markerScore) {
        this.markerScore = markerScore;
    }

    public TrackDTO[] getMarkerTrackList() {
        return markerTrackList;
    }

    public void setMarkerTrackList(TrackDTO[] markerTrackList) {
        this.markerTrackList = markerTrackList;
    }

    public SpecialTagDTO[] getMarkerTagList() {
        return markerTagList;
    }

    public void setMarkerTagList(SpecialTagDTO[] markerTagList) {
        this.markerTagList = markerTagList;
    }

    public int getSpent() {
        return spent;
    }

    public void setSpent(int spent) {
        this.spent = spent;
    }
}
