package com.qmth.teachcloud.mark.params;

import java.util.List;

/**
 * 标准评卷结果对象
 * 
 */
public class MarkResult {

    /**
     * 考生编号
     */
    private Long studentId;
    private Long markedQuestionId;

    /**
     * 总分
     */
    private double markerScore;

    /**
     * 所花时间
     */
    private int spent;

    private List<MarkResultQuestion> questionList;

    public Long getStudentId() {
        return studentId;
    }

    public void setStudentId(Long studentId) {
        this.studentId = studentId;
    }

    public Long getMarkedQuestionId() {
        return markedQuestionId;
    }

    public void setMarkedQuestionId(Long markedQuestionId) {
        this.markedQuestionId = markedQuestionId;
    }

    public double getMarkerScore() {
        return markerScore;
    }

    public void setMarkerScore(double markerScore) {
        this.markerScore = markerScore;
    }

    public int getSpent() {
        return spent;
    }

    public void setSpent(int spent) {
        this.spent = spent;
    }

    public List<MarkResultQuestion> getQuestionList() {
        return questionList;
    }

    public void setQuestionList(List<MarkResultQuestion> questionList) {
        this.questionList = questionList;
    }
}
