package com.qmth.teachcloud.mark.service;

import com.qmth.teachcloud.mark.bean.archivescore.ScoreHistoryVo;
import com.qmth.teachcloud.mark.entity.MarkHeaderHistory;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 * 复核历史表 服务类
 * </p>
 *
 * @author xf
 * @since 2025-02-21
 */
public interface MarkHeaderHistoryService extends IService<MarkHeaderHistory> {

    List<ScoreHistoryVo> findByExamIdAndPaperNumber(Long examId, String paperNumber);

    void deleteByStudentIdAndQuestionId(Long studentId, Long questionId);
}
