package com.qmth.teachcloud.mark.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.teachcloud.mark.dto.mark.manage.MarkRejectHistoryDto;
import com.qmth.teachcloud.mark.entity.MarkRejectHistory;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author xf
 * @since 2024-08-22
 */
public interface MarkRejectHistoryService extends IService<MarkRejectHistory> {

    IPage<MarkRejectHistoryDto> pageRejectHistory(Long examId, String paperNumber, Long questionId, String loginName, String studentCode, String secretNumber, String teachClassName, Integer pageNumber, Integer pageSize);

    void deleteByExamIdAndPaperNumberAndQuestionId(Long examId, String paperNumber, Long questionId);

    void deleteByTaskId(Long taskId);
}
