package com.qmth.teachcloud.mark.service;

import com.qmth.teachcloud.common.entity.MarkQuestion;
import com.qmth.teachcloud.mark.entity.MarkPaper;
import com.qmth.teachcloud.mark.entity.MarkUserQuestion;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import java.util.List;

public interface MarkSyncService {

    public static Logger log = LoggerFactory.getLogger(MarkSyncService.class);

    void markerResetSync(MarkUserQuestion markUserGroup);

    void updateQuality(List<MarkUserQuestion> markUserGroups, String lockKey);

    void calcObjectiveScore(MarkPaper markPaper);

    void deleteMarkedByQuestion(MarkQuestion markQuestion, boolean b);
}
