package com.qmth.teachcloud.task.job;

import com.qmth.teachcloud.task.job.service.JobService;
import org.quartz.DisallowConcurrentExecution;
import org.quartz.JobExecutionContext;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.scheduling.quartz.QuartzJobBean;

import javax.annotation.Resource;

/**
 * @Description: 阅卷统分定时任务
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2025/3/5
 */
@DisallowConcurrentExecution//串行执行
public class MarkScoreCalculateJob extends QuartzJobBean {
    private final static Logger log = LoggerFactory.getLogger(MarkScoreCalculateJob.class);

    @Resource
    JobService jobService;

    @Override
    protected void executeInternal(JobExecutionContext jobExecutionContext) {
        jobService.markScoreCalculate();
    }
}
