package com.qmth.distributed.print.business.service;

import com.github.jeffreyning.mybatisplus.service.IMppService;
import com.qmth.distributed.print.business.bean.upgrade.result.ClientResult;
import com.qmth.distributed.print.business.entity.ClientUpgrade;
import com.qmth.teachcloud.common.enums.ClientUpgradeToolTypeEnum;
import com.qmth.teachcloud.common.enums.clientpackage.ClientPackageEnum;
import org.springframework.web.multipart.MultipartFile;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author xf
 * @since 2024-03-20
 */
public interface ClientUpgradeService extends IMppService<ClientUpgrade> {

    void upload(MultipartFile file, String md5, ClientPackageEnum type, String platform, ClientUpgradeToolTypeEnum toolType);

    ClientUpgrade getByPlatformAndToolType(String platform, ClientUpgradeToolTypeEnum toolType);

    ClientResult getExternalByPlatform(String platform, ClientUpgradeToolTypeEnum toolType);
}
