package com.qmth.distributed.print.business.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.distributed.print.business.entity.TBVersion;

import java.util.Map;

/**
 * <p>
 * 版本管理表 服务类
 * </p>
 *
 * @author wangliang
 * @since 2025-02-27
 */
public interface TBVersionService extends IService<TBVersion> {

    TBVersion getByClientVersion(String version);

    /**
     * 版本管理分页列表
     *
     * @param iPage
     * @return
     */
    public IPage<TBVersion> versionList(IPage<Map> iPage);

    /**
     * 验证客户端版本号是否对应
     * @param version
     */
    void validVersion(String version);
}
