package com.qmth.teachcloud.common.bean.result;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * @Description: 字体信息
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2025/3/4
 */
public class FontResult implements Serializable {

    @ApiModelProperty(value = "附件id")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long attachmentId;

    @ApiModelProperty(value = "字体名称")
    private String fontName;

    @ApiModelProperty(value = "字体格式")
    private String format;

    public FontResult() {
    }

    public FontResult(Long attachmentId, String fontName, String format) {
        this.attachmentId = attachmentId;
        this.fontName = fontName;
        this.format = format;
    }

    public String getFontName() {
        return fontName;
    }

    public void setFontName(String fontName) {
        this.fontName = fontName;
    }

    public String getFormat() {
        return format;
    }

    public void setFormat(String format) {
        this.format = format;
    }

    public Long getAttachmentId() {
        return attachmentId;
    }

    public void setAttachmentId(Long attachmentId) {
        this.attachmentId = attachmentId;
    }
}
