package com.qmth.teachcloud.data.mapper;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.github.jeffreyning.mybatisplus.base.MppBaseMapper;
import com.qmth.teachcloud.data.entity.TSyncData;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 数据同步设置 Mapper 接口
 * </p>
 *
 * @author xf
 * @since 2024-12-05
 */
public interface TSyncDataMapper extends MppBaseMapper<TSyncData> {

    IPage<TSyncData> listParam(@Param("page") Page<TSyncData> page, @Param("schoolId") Long schoolId);
}
