package com.qmth.teachcloud.data.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.github.jeffreyning.mybatisplus.service.IMppService;
import com.qmth.teachcloud.data.entity.TSyncData;
import com.qmth.teachcloud.data.entity.TSyncDataLog;

/**
 * <p>
 * 数据同步设置 服务类
 * </p>
 *
 * @author xf
 * @since 2024-12-05
 */
public interface TSyncDataService extends IMppService<TSyncData> {

    TSyncData saveData(TSyncData tSyncData);

    boolean syncData(Long schoolId, Long examId);

    IPage<TSyncDataLog> getDataLog(Long schoolId, Long examId, Integer pageNumber, Integer pageSize);

    IPage<TSyncData> listParam(Long schoolId, Integer pageNumber, Integer pageSize);

    boolean enable(TSyncData tSyncData);
}
