package com.qmth.teachcloud.mark.bean.archivescore;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.boot.tools.excel.annotation.ExcelColumn;
import com.qmth.teachcloud.common.annotation.ExcelProperty;

public class ScoreHistoryVo {

    @JsonSerialize(using = ToStringSerializer.class)
    private Long studentId;
    @ExcelColumn(name = "学号", index = 0)
    private String studentCode;
    @ExcelColumn(name = "学生姓名", index = 1)
    private String studentName;
    @ExcelColumn(name = "复核老师工号", index = 2)
    private String loginName;
    @ExcelColumn(name = "复核老师姓名", index = 3)
    private String realName;
    @ExcelColumn(name = "大题号", index = 4)
    private Integer mainNumber;
    @ExcelColumn(name = "小题号", index = 5)
    private Integer subNumber;
    @ExcelColumn(name = "原始分数", index = 6)
    private Double originalScore;
    @ExcelColumn(name = "复核后分数", index = 7)
    private Double score;
    @ExcelColumn(name = "复核时间", index = 8)
    private String createTime;

    public Long getStudentId() {
        return studentId;
    }

    public void setStudentId(Long studentId) {
        this.studentId = studentId;
    }

    public String getStudentCode() {
        return studentCode;
    }

    public void setStudentCode(String studentCode) {
        this.studentCode = studentCode;
    }

    public String getStudentName() {
        return studentName;
    }

    public void setStudentName(String studentName) {
        this.studentName = studentName;
    }

    public String getLoginName() {
        return loginName;
    }

    public void setLoginName(String loginName) {
        this.loginName = loginName;
    }

    public String getRealName() {
        return realName;
    }

    public void setRealName(String realName) {
        this.realName = realName;
    }

    public Integer getMainNumber() {
        return mainNumber;
    }

    public void setMainNumber(Integer mainNumber) {
        this.mainNumber = mainNumber;
    }

    public Integer getSubNumber() {
        return subNumber;
    }

    public void setSubNumber(Integer subNumber) {
        this.subNumber = subNumber;
    }

    public Double getOriginalScore() {
        return originalScore;
    }

    public void setOriginalScore(Double originalScore) {
        this.originalScore = originalScore;
    }

    public Double getScore() {
        return score;
    }

    public void setScore(Double score) {
        this.score = score;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }
}
