package com.qmth.teachcloud.mark.dto.mark.manage;

import com.qmth.teachcloud.common.annotation.ExcelProperty;

import java.io.Serializable;

/**
 * @Description: AI智能评卷导出
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2025/4/14
 */
public class MarkAiExport implements Serializable {

    @ExcelProperty(name = "课程名称", width = 20, index = 1)
    private String courseName;

    @ExcelProperty(name = "课程代码", width = 20, index = 2)
    private String courseCode;

    @ExcelProperty(name = "试卷编号", width = 20, index = 3)
    private String paperNumber;

    @ExcelProperty(name = "采用AI评卷题目数", width = 20, index = 4)
    private Integer questionNum;

    @ExcelProperty(name = "采用AI评卷任务数", width = 20, index = 5)
    private Integer taskNum;

    public String getCourseName() {
        return courseName;
    }

    public void setCourseName(String courseName) {
        this.courseName = courseName;
    }

    public String getCourseCode() {
        return courseCode;
    }

    public void setCourseCode(String courseCode) {
        this.courseCode = courseCode;
    }

    public String getPaperNumber() {
        return paperNumber;
    }

    public void setPaperNumber(String paperNumber) {
        this.paperNumber = paperNumber;
    }

    public Integer getQuestionNum() {
        return questionNum;
    }

    public void setQuestionNum(Integer questionNum) {
        this.questionNum = questionNum;
    }

    public Integer getTaskNum() {
        return taskNum;
    }

    public void setTaskNum(Integer taskNum) {
        this.taskNum = taskNum;
    }
}
