package com.qmth.teachcloud.mark.dto.mark.manage;

import java.io.Serializable;
import java.util.ArrayList;
import java.util.List;

public class MarkStepDTO implements Serializable {

    private static final long serialVersionUID = 3542801746602688750L;

    private Long questionId;

    private int mainNumber;

    private String subNumber;

    private double intervalScore;

    private double defaultScore;

    private String title;

    private Double score;

    private double maxScore;

    private double minScore;

    private boolean uncalculate;

    private List<TrackDTO> trackList = new ArrayList<>();

    private List<TrackDTO> headerTrack = new ArrayList<>();
    private List<MarkerScoreDTO> markerList = new ArrayList<>();

    public int getMainNumber() {
        return mainNumber;
    }

    public void setMainNumber(int mainNumber) {
        this.mainNumber = mainNumber;
    }

    public String getSubNumber() {
        return subNumber;
    }

    public void setSubNumber(String subNumber) {
        this.subNumber = subNumber;
    }

    public double getIntervalScore() {
        return intervalScore;
    }

    public void setIntervalScore(double intervalScore) {
        this.intervalScore = intervalScore;
    }

    public double getMaxScore() {
        return maxScore;
    }

    public void setMaxScore(double maxScore) {
        this.maxScore = maxScore;
    }

    public double getMinScore() {
        return minScore;
    }

    public void setMinScore(double minScore) {
        this.minScore = minScore;
    }

    public double getDefaultScore() {
        return defaultScore;
    }

    public void setDefaultScore(double defaultScore) {
        this.defaultScore = defaultScore;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public List<TrackDTO> getTrackList() {
        return trackList;
    }

    public void setTrackList(List<TrackDTO> trackList) {
        this.trackList = trackList;
    }

    public void addTrack(TrackDTO track) {
        this.trackList.add(track);
    }

    public Long getQuestionId() {
        return questionId;
    }

    public void setQuestionId(Long questionId) {
        this.questionId = questionId;
    }

    public Double getScore() {
        return score;
    }

    public void setScore(Double score) {
        this.score = score;
    }

    public boolean isUncalculate() {
        return uncalculate;
    }

    public void setUncalculate(boolean uncalculate) {
        this.uncalculate = uncalculate;
    }

    public List<TrackDTO> getHeaderTrack() {
        return headerTrack;
    }

    public void setHeaderTrack(List<TrackDTO> headerTrack) {
        this.headerTrack = headerTrack;
    }

    public void addHeaderTrack(TrackDTO trackDTO) {
        this.headerTrack.add(trackDTO);
    }

    public List<MarkerScoreDTO> getMarkerList() {
        return markerList;
    }

    public void setMarkerList(List<MarkerScoreDTO> markerList) {
        this.markerList = markerList;
    }

    public void addMarkerList(MarkerScoreDTO markerScoreDTO) {
        this.markerList.add(markerScoreDTO);
    }
}
