package com.qmth.teachcloud.mark.dto.mark.manage;

import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import com.qmth.teachcloud.mark.dto.mark.SpecialTagDTO;
import com.qmth.teachcloud.mark.entity.MarkHeaderTag;
import com.qmth.teachcloud.mark.entity.MarkSpecialTag;

public class MarkerSpecialTagDTO extends SpecialTagDTO {

    private static final long serialVersionUID = 4928109012686348307L;

    @JsonSerialize(using = ToStringSerializer.class)
    private Long markerId;

    private Long questionId;

    public MarkerSpecialTagDTO(Long markerId, Long questionId, MarkSpecialTag specialTag) {
        super(specialTag);
        this.markerId = markerId;
        this.questionId = questionId;
    }

    public MarkerSpecialTagDTO(Long markerId, int groupNumber, MarkHeaderTag headerTag) {
        super(headerTag);
        this.markerId = markerId;
    }

    public Long getMarkerId() {
        return markerId;
    }

    public void setMarkerId(Long markerId) {
        this.markerId = markerId;
    }

    public Long getQuestionId() {
        return questionId;
    }

    public void setQuestionId(Long questionId) {
        this.questionId = questionId;
    }
}
