package com.qmth.teachcloud.mark.dto.mark.mark;

/**
 * 评卷提交结果状态
 */
public class SubmitResult {

    private boolean success;

    private Long studentId;

    public static SubmitResult faile() {
        return new SubmitResult(false, null);
    }

    public static SubmitResult success(Long studentId) {
        return new SubmitResult(true, studentId);
    }

    private SubmitResult(boolean success, Long studentId) {
        this.success = success;
        this.studentId = studentId;
    }

    public boolean isSuccess() {
        return success;
    }

    public Long getStudentId() {
        return studentId;
    }

}
