package com.qmth.teachcloud.mark.enums;

/**
 * 评卷方式
 */
public enum QuestionModel {

    SINGLE("单题阅"),
    MULTI("多题阅");

    private String name;


    private QuestionModel(String name) {
        this.name = name;
    }

    public String getName() {
        return name;
    }


    public boolean equals(String type) {
        return toString().equalsIgnoreCase(type);
    }

    public static QuestionModel findByText(String text) {
        for (QuestionModel type : values()) {
            if (type.equals(text)) {
                return type;
            }
        }
        return null;
    }

}
