package com.qmth.teachcloud.mark.mapper;

import com.qmth.teachcloud.mark.bean.archivescore.ScoreHistoryVo;
import com.qmth.teachcloud.mark.entity.MarkHeaderHistory;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 复核历史表 Mapper 接口
 * </p>
 *
 * @author xf
 * @since 2025-02-21
 */
public interface MarkHeaderHistoryMapper extends BaseMapper<MarkHeaderHistory> {

    List<ScoreHistoryVo> findByExamIdAndPaperNumber(@Param("examId") Long examId, @Param("paperNumber") String paperNumber);
}
