package com.qmth.teachcloud.mark.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.qmth.teachcloud.common.entity.MarkQuestion;
import com.qmth.teachcloud.mark.dto.mark.MarkQuestionAnswerVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * 小题信息表 Mapper 接口
 * </p>
 *
 * @author xf
 * @since 2023-09-22
 */
public interface MarkQuestionMapper extends BaseMapper<MarkQuestion> {

    List<MarkQuestionAnswerVo> listQuestionAnswerByExamIdAndPaperNumberAndPaperType(@Param("examId") Long examId, @Param("paperNumber") String paperNumber, @Param("paperType") String paperType, @Param("objective") Boolean objective);

    int countUnBindMarkerQuestion(@Param("examId") Long examId, @Param("paperNumber") String paperNumber);
}
