package com.qmth.teachcloud.mark.service;

import com.qmth.teachcloud.common.entity.MarkQuestion;
import com.qmth.teachcloud.mark.entity.MarkQuestionAnswer;
import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.teachcloud.mark.entity.ScanAnswerCard;
import com.qmth.teachcloud.mark.enums.CardSource;

import java.util.List;

/**
 * <p>
 * 客观题信息 服务类
 * </p>
 *
 * @author xf
 * @since 2024-10-16
 */
public interface MarkQuestionAnswerService extends IService<MarkQuestionAnswer> {

    void deleteByExamIdAndPaperNumberAndMainNumberAndSubNumber(Long examId, String paperNumber, Integer mainNumber, Integer subNumber);
    void resetObjectivePolicyByExamIdAndPaperNumberAndMainNumberAndSubNumber(Long examId, String paperNumber, Integer mainNumber, Integer subNumber);

    List<MarkQuestionAnswer> listByExamIdAndPaperNumberAndPaperType(Long examId, String paperNumber, String paperType);

    int countByExamIdAndPaperNumber(Long examId, String paperNumber);

    void deleteByExamIdAndPaperNumber(Long examId, String paperNumber);

    void saveByMarkQuestion(Long examId, String paperNumber, List<MarkQuestion> markQuestions, boolean containAnswer);
}
